using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FWHandler
{
   
     internal static class HandlerProvider
    {

        public static ButtonHandler ButtonHandler { get; } = new ButtonHandler(FlaUIHandler.Instance);
        public static MenuHandler MenuHandler { get; } = new MenuHandler();
        public static CheckBoxHandler CheckBoxHandler { get; } = new CheckBoxHandler(FlaUIHandler.Instance);
        public static TextBoxHandler TextBoxHandler { get; } = new TextBoxHandler(FlaUIHandler.Instance);
        public static AppHandler AppHandler { get; } = new AppHandler(FlaUIHandler.Instance);
        public static WindowHandler WindowHandler { get; } = new WindowHandler(FlaUIHandler.Instance);
        public static RadioButtonHandler RadioButtonHandler { get; } = new RadioButtonHandler(FlaUIHandler.Instance);
        public static ComboBoxHandler ComboBoxHandler { get;  } = new ComboBoxHandler(FlaUIHandler.Instance);
        public static InputHandler InputHandler { get; } = new InputHandler(FlaUIHandler.Instance);
        public static TreeHandler TreeHandler { get; } = new TreeHandler(FlaUIHandler.Instance);
        public static LabelHandler LabelHandler { get; } = new LabelHandler(FlaUIHandler.Instance);
        public static ListHandler ListHandler { get; } = new ListHandler(FlaUIHandler.Instance);
        public static MenuItemHandler MenuItemHandler { get; } = new MenuItemHandler(FlaUIHandler.Instance);
        public static TreeItemHandler TreeItemHandler { get; } = new TreeItemHandler(FlaUIHandler.Instance);
        public static ScrollBarsHandler ScrollBarsHandler { get; } = new ScrollBarsHandler(FlaUIHandler.Instance);
        public static ListItemHandler ListItemHandler { get; } = new ListItemHandler(FlaUIHandler.Instance);
        public static CaptureHandler CaptureHandler { get; } = new CaptureHandler(FlaUIHandler.Instance);
        public static ProgressBarHandler ProgressBarHandler { get; } = new ProgressBarHandler(FlaUIHandler.Instance);
    }
}
